package cn.com.ty.lift.system.user.controller;

import cn.com.ty.lift.system.entity.User;
import cn.com.ty.lift.system.entity.UserInfo;
import cn.com.ty.lift.system.user.service.impl.UserService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserService userService;

    /*
     *@Author huangyuan
     *@Description 用户登录
     *@Date 15:56 2019-11-26
     *@Param [userId]
     *@return cn.com.ty.lift.system.entity.User
     **/
    @RequestMapping("/login")
    @ResponseBody
    public User getUser(String userId){
        User user = userService.getUserById(userId);
        return user;
    }

    @PostMapping("/addUser")
    @ResponseBody
    public Object addUserInfo(UserInfo userInfo){
        userService.saveUserInfo(userInfo);
        return RestResponse.ok(UserInfo.class, "success");
    }

}
